[BETA] [3.1][3.2] LF who was here (2.x)

In diesem Forum können Extension-Autoren ihre Extensions vorstellen, die sich noch im Entwicklungsstatus befinden. Der Einbau in Foren im produktiven Betrieb wird nicht empfohlen.
distanzcheck
Mitglied
Beiträge: 219
Registriert: 04.02.2004 22:40
Wohnort: Bochum

Re: [BETA] [3.1][3.2] LF who was here (2.x)

Beitrag von distanzcheck » 01.12.2019 13:26

Habe mal kurz das Live Forum auf die ältere Version gehabt und da kam auch dann der 500er.
PHP Umstaellung und anschließender Neustart, hat aber wohl nicht mit dem Neustart sondern nur mit der PHP VErsion was zu tun.
Mit PHP 5.4.9 läuft es nicht, die Version 1.5.1 aber schon.

lg Dirk
Aktuell PhpBB 3.1.10

Benutzeravatar
LukeWCS
Mitglied
Beiträge: 394
Registriert: 15.12.2014 10:19
Kontaktdaten:

Re: [BETA] [3.1][3.2] LF who was here (2.x)

Beitrag von LukeWCS » 01.12.2019 13:44

distanzcheck hat geschrieben:
01.12.2019 13:26
Habe mal kurz das Live Forum auf die ältere Version gehabt und da kam auch dann der 500er.
PHP Umstaellung und anschließender Neustart, hat aber wohl nicht mit dem Neustart sondern nur mit der PHP VErsion was zu tun.
Mit PHP 5.4.9 läuft es nicht, die Version 1.5.1 aber schon.
Prima, das sind interessante Informationen. Ich begnüge mich nie mit "geht nicht" oder "geht wieder", ich versuche immer den Grund zu ermitteln, denn so lernt man. :wink:

2.x ist in mehrfacher Hinsicht ein Neubeginn der WWH Ext. Ich habe einige Code Bereiche komplett neu geschrieben, um neue Funktionen zu ermöglichen und auch um Fehler zu beheben, unter anderem bei der Sommerzeit/Normalzeit Umschaltung. Da gab es gleich mehrere Fehler bei NVWWH von Anvar und damit auch bei LFWWH 1.x. Durchaus möglich also, das ich dabei "neue" PHP-Funktionen verwendet habe, die es bei 5.4.9 noch nicht gab. Das sowas aber einen 500er auslösen kann, ist mir neu. Das hat dann aber etwas mit PHP selbst zu tun, nicht mit LFWWH.
Möge das Backup mit dir sein. Immer.

Meine Erweiterungen: Monospace font for Posting Editor
Meine Erweiterungs-Forks: LF who was here, ModBreak eXtended

Benutzeravatar
chris1278
Mitglied
Beiträge: 1554
Registriert: 12.11.2007 06:20
Wohnort: Euskirchen
Kontaktdaten:

Re: [BETA] [3.1][3.2] LF who was here (2.x)

Beitrag von chris1278 » 01.12.2019 13:48

Also der 500er Fehler kann man aber doch nachschauen im Server Error log da müsste eigentlich stehen welche Datei genau den Fehler produziert somit man das ja eingrenzen könnte.

distanzcheck
Mitglied
Beiträge: 219
Registriert: 04.02.2004 22:40
Wohnort: Bochum

Re: [BETA] [3.1][3.2] LF who was here (2.x)

Beitrag von distanzcheck » 01.12.2019 14:26

Ich habe ab nächeste Woche Dienstag Frei, da könnte ich das mal genauer schauen was da im Error Log steht.
Aktuell PhpBB 3.1.10

Benutzeravatar
chris1278
Mitglied
Beiträge: 1554
Registriert: 12.11.2007 06:20
Wohnort: Euskirchen
Kontaktdaten:

Re: [BETA] [3.1][3.2] LF who was here (2.x)

Beitrag von chris1278 » 01.12.2019 14:40

Jo das wäre auf jedenfall hilfreich.

distanzcheck
Mitglied
Beiträge: 219
Registriert: 04.02.2004 22:40
Wohnort: Bochum

Re: [BETA] [3.1][3.2] LF who was here (2.x)

Beitrag von distanzcheck » 01.12.2019 17:48

Vieleicht hilft das ja schon.

Code: Alles auswählen

2019-12-01 17:41:12	Error	91.12.xx.xxx	500	GET /testforum/ HTTP/1.1		Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:70.0) Gecko/20100101 Firefox/70.0	178 	Apache-Zugriff
2019-12-01 17:41:12	Warning	91.12.xx.xxx		mod_fcgid: stderr: PHP Parse error: syntax error, unexpected '*' in /var/www/vhosts/hxxxxxxxxxx.stratoserver.net/httpdocs/testforum/ext/lukewcs/whowashere/core/who_was_here.php on line 432	 Apache-Fehler
Aktuell PhpBB 3.1.10

Benutzeravatar
chris1278
Mitglied
Beiträge: 1554
Registriert: 12.11.2007 06:20
Wohnort: Euskirchen
Kontaktdaten:

Re: [BETA] [3.1][3.2] LF who was here (2.x)

Beitrag von chris1278 » 01.12.2019 18:08

Welche php version läuft bei dir. du solltest die mal auf 7.0 bis 7.2 einstellen bitte nicht höher als 7.2 die 7.3er wird vom forum noch nicht ganzs unterstützt.

distanzcheck
Mitglied
Beiträge: 219
Registriert: 04.02.2004 22:40
Wohnort: Bochum

Re: [BETA] [3.1][3.2] LF who was here (2.x)

Beitrag von distanzcheck » 01.12.2019 18:14

die 3.1.12 läuft doch nicht unter php 7 oder irre ich da ?
Zur Zeit fürs Forum die 5.6.40 will aber demnächst auf die neue phpbb Version updaten
Aktuell PhpBB 3.1.10

Benutzeravatar
LukeWCS
Mitglied
Beiträge: 394
Registriert: 15.12.2014 10:19
Kontaktdaten:

Re: [BETA] [3.1][3.2] LF who was here (2.x)

Beitrag von LukeWCS » 01.12.2019 18:38

distanzcheck hat geschrieben:
01.12.2019 17:48

Code: Alles auswählen

2019-12-01 17:41:12	Error	91.12.xx.xxx	500	GET /testforum/ HTTP/1.1		Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:70.0) Gecko/20100101 Firefox/70.0	178 	Apache-Zugriff
2019-12-01 17:41:12	Warning	91.12.xx.xxx		mod_fcgid: stderr: PHP Parse error: syntax error, unexpected '*' in /var/www/vhosts/hxxxxxxxxxx.stratoserver.net/httpdocs/testforum/ext/lukewcs/whowashere/core/who_was_here.php on line 432	 Apache-Fehler
Sehr schön, damit kann man was anfangen. :) Das ist auch des Rätsels Lösung: ich verwende seit 2.x den Potenz-Operator (**) und den gibt es erst ab PHP 5.6. Diese Codezeile (432) kann also unter 5.4 nicht funktionieren. Warum das aber einen 500er erzeugt ist mir jedoch nach wie vor nicht klar. Ich hätte in so einem Fall eine kontrollierte Fehlermeldung seitens des PHP Parsers erwartet. Aber zumindest ist jetzt mal die Ursache gefunden.

Ich habe im Startbeitrag die Voraussetzung auf 5.6 angehoben.
distanzcheck hat geschrieben:
01.12.2019 18:14
Zur Zeit fürs Forum die 5.6.40 will aber demnächst auf die neue phpbb Version updaten
Damit bist du zumindest bez. LFWWH auf der sicheren Seite, denn ich teste ab 5.6.38. Aber ganz allgemein aus Performance-Gründen wäre 7.x vorzuziehen.

edit: wegen 3.1.12 und PHP 7: ja, laut offizieller Meldung zu 3.1.12 ist 7.x nicht geeignet:
Wichtig: phpBB 3.1.12 ist die letzte Version der 3.1.x Reihe. Es wird keine weiteren Releases - weder zur Fehlerkorrektur noch aufgrund von Sicherheitslücken - geben. Wir empfehlen daher, in näherer Zukunft auf phpBB 3.2 umzusteigen - auch aufgrund der fehlenden PHP 7 Unterstützung von phpBB 3.1 ist das eine gute Idee.
Möge das Backup mit dir sein. Immer.

Meine Erweiterungen: Monospace font for Posting Editor
Meine Erweiterungs-Forks: LF who was here, ModBreak eXtended

Benutzeravatar
LukeWCS
Mitglied
Beiträge: 394
Registriert: 15.12.2014 10:19
Kontaktdaten:

Re: [BETA] [3.1][3.2] LF who was here (2.x)

Beitrag von LukeWCS » 02.12.2019 18:56

Thema phpBB 3.3 sowie PHP 7.3:

Kirk hat LFWWH 2 erfolgreich unter phpBB 3.3.0-b2 sowie PHP 7.3.11 getestet. Bis zum Release 3.3 kann sich zwar noch einiges ändern, aber ich rechne nicht mit grösseren Problemen.
Möge das Backup mit dir sein. Immer.

Meine Erweiterungen: Monospace font for Posting Editor
Meine Erweiterungs-Forks: LF who was here, ModBreak eXtended

Antworten

Zurück zu „Extensions in Entwicklung“